2011-12-01  Werner Koch  <wk@g10code.com>

	NB: ChangeLog files are no longer manually maintained.  Starting
	on December 1st, 2011 we put change information only in the GIT
	commit log, and generate a top-level ChangeLog file from logs at
	"make dist".  See doc/HACKING for details.

2011-11-28  Jim Meyering  <meyering@redhat.com>

	accept --with-libgpg-error-prefix as well as --with-gpg-error-prefix
	* m4/gpg-error.m4: Update from git master.

2011-03-01  Werner Koch  <wk@g10code.com>

	Release 1.2.0.

	* configure.ac: Bump LT version to C19/A11/R0.

2011-02-25  Werner Koch  <wk@g10code.com>

	* configure.ac (KSBA_CONFIG_HOST): New.
	* m4/libgcrypt.m4, m4/gpg-error.m4: Update from their git masters.

2011-01-03  Werner Koch  <wk@g10code.com>

	* configure.ac [BUILD_REVISION]: Shorten git commit identifier.

2010-12-22  Werner Koch  <wk@g10code.com>

	* configure.ac: Add a git commit identifier to the version.

2010-10-26  Werner Koch  <wk@g10code.com>

	Release 1.1.0.

	* configure.ac: Bump LT version to C18/A10/R0.
        * config.guess: Update to version 2010-09-24.
        * config.sub: Update to version 2010-09-11.

2010-08-19  Werner Koch  <wk@g10code.com>

	* configure.ac (AH_TOP, AH_BOTTOM): New.  Define
	GPG_ERR_ENABLE_ERRNO_MACROS.

2010-07-15  Werner Koch  <wk@g10code.com>

	Release 1.0.8.

	* configure.ac: Bump LT version to C17/A9/R8.

2010-01-22  Werner Koch  <wk@g10code.com>

	* autogen.sh: Support --build-w32ce.

	* configure.ac: Require libgpg-error 1.8.
	(HAVE_W32CE_SYSTEM): New am_defines and am_conditionals.
	(AC_CHECK_FUNCS): Check for getenv.

	* ltmain.sh (wrappers_required): Don't set for mingw32ce.

2009-12-08  Marcus Brinkmann  <marcus@g10code.de>

	Update to libtool 2.2.6a.
	* configure.ac: Invoke AC_CONFIG_MACRO_DIR.
	(AC_LIBTOOL_WIN32_DLL, AC_LIBTOOL_RC): Replace by ...
	(LT_PREREQ, LT_INIT, LT_LANG): ... these.
	* config.guess, config.sub, install-sh, ltmain.sh, m4/libtool.m4:
	Updated to libtool 2.2.6a.
	* m4/ltoptions.m4, m4/ltsugar.m4, m4/ltversion.m4,
	m4/lt~obsolete.m4: New files from libtool 2.2.6a.

2009-12-08  Marcus Brinkmann  <marcus@g10code.de>

	* configure.ac: Allow cross compiling to be "maybe".

2009-07-03  Werner Koch  <wk@g10code.com>

	* configure.ac: Bump LT version to C17/A9/R7.  Unfortunately only
	after the release so to anticipate fixes by distributions.

2009-07-03  Werner Koch  <wk@g10code.com>

	Release 1.0.7.

2009-06-05  Werner Koch  <wk@g10code.com>

	Release 1.0.6.

	* configure.ac: Bump LT version to C17/A9/R6.

2009-01-09  Werner Koch  <wk@g10code.com>

	Release 1.0.5.

	* configure.ac: Bump LT version to C17/A9/R5.

2008-10-30  Werner Koch  <wk@g10code.com>

	* configure.ac: Use more strict warnings with newer gcc versions.

2008-09-22  Werner Koch  <wk@g10code.com>

	Release 1.0.4.

	* configure.ac: Bump LT version to C17/A9/R4.

	* configure.ac: Update svn_revision macro.

2008-02-25  Werner Koch  <wk@g10code.com>

	* configure.ac (KSBA_USE_VISIBILITY): Define if system supports
	the visibility attribute.

2008-02-12  Werner Koch  <wk@g10code.com>

	Released 1.0.3.

	* configure.ac: Bump LT version to C17/A9/R3.

	* config.guess, config.sub: Update to version 2007-11-19.

2007-11-07  Werner Koch  <wk@g10code.com>

	* configure.ac: Add option --disable-optimization.

2007-08-08  Werner Koch  <wk@g10code.com>

	* configure.ac: Use $host and not $target.  Reported by Peter
	Eisentraut .

2007-07-04  Werner Koch  <wk@g10code.com>

	Released 1.0.2.

	* configure.ac: Bumped LT version to C17/A9/R2.

	Changed license to GPLv3.

	* COPYING: Updated to GPLv3.

	* config.guess, config.sub: Updated from Savannah CVS and switched
	license to GPLv3+ and the old exception.

	* acinclude.m4: Remove.
	* Makefile.am (SUBDIRS): Include m4.
	* m4/gnupg-typedef.m4: New.
	* m4/Makefile.am: New.

2007-06-15  Werner Koch  <wk@g10code.com>

	* autogen.sh: Use = and not == in test to be POSIXly correct.

2007-05-29  Werner Koch  <wk@g10code.com>

	* configure.ac (AC_LIBTOOL_WIN32_DLL): New.
	(HAVE_W32_SYSTEM): New.
	(BUILD_REVISION, BUILD_TIMESTAMP, BUILD_FILEVERSION): New.
	(AC_CANONICAL_TARGET): New.

	* autogen.sh: Add Option --force.  Modernized cross compiler
	selection for --build-w32.

2007-05-24  Werner Koch  <wk@g10code.com>

	* configure.ac: Use -Wpointer-arith if possible.

2007-04-06  Werner Koch  <wk@g10code.com>

	* configure.ac: Require libgpg-error 1.4.

2006-11-29  Werner Koch  <wk@g10code.com>

	Released 1.0.1.

	* configure.ac: Bumped LT version to C17/A9/R1.

	* gl/dummyobj.c: New.

2006-11-15  Werner Koch  <wk@g10code.com>

	* autogen.sh: Add convenience option --build-amd64.

2006-10-20  Werner Koch  <wk@g10code.com>

	* Makefile.am (stowinstall): New convenience target.

2006-08-31  Werner Koch  <wk@g10code.com>

	Released 1.0.0.

	* configure.ac: Bumped LT version to C17/A9/R0.

	* configure.ac: Require libgpg-error 1.2. Removed test on
	GPG_ERR_UNKNOWN_CRIT_EXTN.

2006-08-01  Werner Koch  <wk@g10code.com>

	Released 0.9.16.

	* configure.ac: Bumped LT version to C16/A8/R0.

	* configure.ac: Changed to new style auto-svn init.

2006-06-20  Werner Koch  <wk@g10code.com>

	Released 0.9.15.

	* configure.ac: Bumbed LT version to C15/A7/R2.

2006-05-16  Werner Koch  <wk@g10code.com>

	Released 0.9.14.

	* configure.ac: Bumped LT version to C15/A7/R1.

	* config.guess, config.sub: Updated.
	* ltmain.sh: Updated.

2006-05-11  Werner Koch  <wk@g10code.com>

	* configure.ac: Use -Wno-pointer-sign.

2005-11-24  Werner Koch  <wk@g10code.com>

	Released 0.9.13.

	* configure.ac: Bumped LT vesion to C15/A7/R0.

2005-08-01  Werner Koch  <wk@g10code.com>

	Released 0.9.12.

	* configure.ac: Bumped LT version to C14/A6/R1.

2005-06-02  Werner Koch  <wk@g10code.com>

	* gl/, gl/m4/: New.
	* configure.ac: Add test for gnulib module alloca.
	* Makefile.am (SUBDIRS): Include gl/

2005-04-20  Werner Koch  <wk@g10code.com>

	* configure.ac: Fixed typo in saving CFLAGS for gpg-error symbol
	test.

	Released 0.9.11.

2005-04-19  Werner Koch  <wk@g10code.com>

	* configure.ac: Bumped LT version to C14/A6/R0 due to a new
	interface.

	* acinclude.m4 (GNUPG_CHECK_TYPEDEF): Added.  Taken from gnupg 1.4

2005-04-18  Werner Koch  <wk@g10code.com>

	* configure.ac: Check for a new gpg-error symbol.

2005-03-16  Werner Koch  <wk@g10code.com>

	* Makefile.am (AUTOMAKE_OPTIONS): Add option to create bzip 2 file
	and to use the m4 directory.
	* acinclude.m4: Removed all code.  It belongs into m4/.

2004-12-18  Werner Koch  <wk@g10code.com>

	* configure.ac: Print a hint about failed corss compilations.
	* autogen.sh: Add --build-w32 option.

2004-12-03  Werner Koch  <wk@g10code.com>

	Released 0.9.10.

	* configure.ac: Bumped LT version to C13/A5/R2.

2004-11-25  Werner Koch  <wk@g10code.com>

	* configure.ac: Define CROSS_COMPILING make conditional
	* Makefile.am (SUBDIRS): Don't run tests when cross compiling.

2004-09-27  Werner Koch  <wk@g10code.com>

	Released 0.9.9.

	* configure.ac: Bumped LT version to C13/A5/R2.

	* configure.ac: AC_GNU_SOURCE instead of AH_TOP.
	* config.guess, config.sub: Updated.
	* ltmain.sh: Updated to 1.5.6

2004-07-22  Werner Koch  <wk@g10code.de>

	Released 0.9.8.

	* configure.ac: Bumped LT version to C13/A5/R1.

2004-06-08  Werner Koch  <wk@gnupg.org>

	Released 0.9.7.

	* configure.ac: Bumped LT version to C13/A5/R0.

2004-04-29  Werner Koch  <wk@gnupg.org>

	Released 0.9.6.

	* configure.ac: Bumped LT version to C12/A4/R0.

2004-04-02  Thomas Schwinge  <schwinge@nic-nac-project.de>

	* autogen.sh: Added ACLOCAL_FLAGS.

2004-04-06  Werner Koch  <wk@gnupg.org>

	Released 0.9.5.

	* configure.ac: Bumped LT versions to C11/A3/R0.
	* config.guess, config.sub, ltmain.sh: Updated to those from
	libtools 1.5.4.

2004-03-15  Werner Koch  <wk@gnupg.org>

	* configure.ac: New option --enable-ld-version-script.

2004-02-20  Werner Koch  <wk@gnupg.org>

        Released 0.9.4.

	* configure.ac: Bumped LT version to C10/A2/R0.

2004-02-11  Werner Koch  <wk@gnupg.org>

	* autogen.sh (check_version): Removed bashism and simplified.

2004-01-30  Werner Koch  <wk@gnupg.org>

	Released 0.9.3.

	* configure.ac: Bumped LT vesion to C9/A1/R2.

2004-01-29  Werner Koch  <wk@gnupg.org>

	Released 0.9.2.

	* configure.ac: Bumbed LT version to C9/A1/R1.

2003-12-19  Werner Koch  <wk@gnupg.org>

	Released 0.9.1.

	* configure.ac: Bumbed LT version to C9/A1/R0.

2003-12-08  Werner Koch  <wk@gnupg.org>

	* README.CVS: Enhanced
	* autogen.sh: Reworked.
	* configure.ac: Add version numbers for autogen.sh.

2003-11-17  Werner Koch  <wk@gnupg.org>

	Released 0.9.0.

2003-11-12  Werner Koch  <wk@gnupg.org>

	* acinclude.m4: New.
	* configure.ac (AM_PATH_GPG_ERROR): New.

2003-10-31  Werner Koch  <wk@gnupg.org>

	* configure.ac (AC_CHECK_FUNCS): Removed timegm. Add gmtime_r.
	Set version number to 0.9.0-cvs, bumped LT version to C8/A0/R0.

2003-03-17  Werner Koch  <wk@gnupg.org>

        Released 0.4.7.

	* configure.ac: Set LT version to 7/7/1.

2002-12-04  Werner Koch  <wk@gnupg.org>

	Released 0.4.6.

	* configure.ac: Set LT version to 7/7/0.

2002-11-25  Werner Koch  <wk@gnupg.org>

	* configure.ac: Bumbed version number.

2002-11-12  Werner Koch  <wk@gnupg.org>

	* config.sub, config.guess: Updated from ftp.gnu.org/gnu/config
	to version 2002-11-08.

2002-08-23  Werner Koch  <wk@gnupg.org>

	Released 0.4.5.

	* configure.ac (KSBA_CONFIG_LIBS): Renamed from KSBA_LIBS and
	removed the libdir because it is set by the config script.

2002-08-09  Werner Koch  <wk@gnupg.org>

	Released 0.4.4.

2002-06-25  Werner Koch  <wk@gnupg.org>

	Released 0.4.3.

	* configure.ac: Set LT version to 6/6/0.

2002-06-17  Werner Koch  <wk@gnupg.org>

	* configure.ac: Don't check for ranlib because it is done by libtool.

2002-06-04  Werner Koch  <wk@gnupg.org>

        Released 0.4.2.

	* configure.ac: Bumbed libversion due to added interfaces.

2002-05-03  Werner Koch  <wk@gnupg.org>

	Released 0.4.1.

2002-04-15  Werner Koch  <wk@gnupg.org>

        Released 0.4.0.

	* configure.ac: Bumbed libversion due to added interfaces.
	* NEWS: Started tracking news.

2002-04-01  Werner Koch  <wk@gnupg.org>

	Released 0.2.3.

2002-03-13  Werner Koch  <wk@gnupg.org>

	Released 0.2.2.

2002-03-04  Werner Koch  <wk@gnupg.org>

	* configure.ac: Bumbed version to 0.2.1

2002-02-07  Werner Koch  <wk@gnupg.org>

	* configure.ac: Bumped version to 0.2.0
	* Makefile.am:  Add doc directory and VERSION kludge

2002-01-11  Werner Koch  <wk@gnupg.org>

	* configure.ac (AC_C_INLINE): New.

2001-12-17  Werner Koch  <wk@gnupg.org>

	* configure.ac (KSBA_LIBS,KSBA_CFLAGS): Set them.


 Copyright 2001, 2002 g10 Code GmbH

 This file is free software; as a special exception the author gives
 unlimited permission to copy and/or distribute it, with or without
 modifications, as long as this notice is preserved.

 This file is distributed in the hope that it will be useful, but
 WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
 implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
